ZIP_UNCHANGE_ALL(3) | Library Functions Manual | ZIP_UNCHANGE_ALL(3)

# NAME

`zip_unchange_all` — undo all changes in a zip archive

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_unchange_all`(zip_t *archive);

# DESCRIPTION

All changes to files and global information in archive are reverted.

# RETURN VALUES

Upon successful completion 0 is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

# SEE ALSO

libzip(3), zip_unchange(3), zip_unchange_archive(3)

# HISTORY

`zip_unchange_all`() was added in libzip 0.6.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH